Displaying 4 results from an estimated 4 matches for "_submodule_hash".
2009 Nov 20
1
[PATCH libguestfs] build: correct sed transformation to work also on .git-module-status
...eyering at redhat.com>
Date: Fri, 20 Nov 2009 16:23:17 +0100
Subject: [PATCH libguestfs] build: correct sed transformation to work also on .git-module-status
* autogen.sh: Use a more strict sed transformation so it works also
on the contents of .git-module-status, which has no prefix.
* cfg.mk (_submodule_hash): Use a stricter sed regexp.
---
autogen.sh | 2 +-
cfg.mk | 4 +++-
2 files changed, 4 insertions(+), 2 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index cbb6da8..166ca56 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -24,7 +24,7 @@ set -v
# Ensure that whenever we pull in a gnulib...
2009 Dec 02
1
[PATCH libguestfs] accommodate leading "+" in git submodule output
...mparing current and stored SHA1 values.
>From 1bc2c5def80b8a0860a1980551d433f1fdce9a50 Mon Sep 17 00:00:00 2001
From: Jim Meyering <meyering at redhat.com>
Date: Wed, 2 Dec 2009 15:06:48 +0100
Subject: [PATCH libguestfs] accommodate leading "+" in git submodule output
* cfg.mk (_submodule_hash): Also filter out "+".
* autogen.sh: Likewise.
---
autogen.sh | 2 +-
cfg.mk | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/autogen.sh b/autogen.sh
index 166ca56..6e89c84 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -24,7 +24,7 @@ set -v
# Ensure that wh...
2020 Jan 27
5
[PATCH 0/3] Fixing out-of-tree builds
Building virt-v2v out-of-tree does not work and requires several small fixes
here and there.
Tomáš Golembiovský (3):
build: perform gnulib check from source directory
build: run ocaml-link.sh from build directory
docs: don't perform lookup on absolute paths
cfg.mk | 1 +
podwrapper.pl.in | 2 ++
v2v/Makefile.am | 16 ++++++++--------
3 files changed, 11 insertions(+), 8
2009 Aug 03
1
use gnulib, and begin to pass its "make syntax-check" tests
...t submodule status prints a "-"
+ # in column 1 and does not print a "git describe"-style string after the
+ # submodule name. Contrast these:
+ # -b653eda3ac4864de205419d9f41eec267cb89eeb .gnulib
+ # b653eda3ac4864de205419d9f41eec267cb89eeb .gnulib (v0.0-2286-gb653eda)
+ _submodule_hash = sed 's/.//;s/ .*//'
+ _update_required := $(shell \
+ actual=$$(git submodule status | $(_submodule_hash)); \
+ stamp="$$($(_submodule_hash) $(_curr_status) 2>/dev/null)"; \
+ test "$$stamp" = "$$actual"; echo $$?)
+ ifeq (1,$(_updat...